> ## Documentation Index
> Fetch the complete documentation index at: https://docs.profy.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 用户授权确认



## OpenAPI

````yaml POST /oauth/authorize
openapi: 3.0.0
info:
  title: Profy App API
  version: 1.0.0
  description: OAuth 2.0 and Events API for Profy App integrations.
servers:
  - url: https://app.profy.cn
    description: Production
security: []
paths:
  /oauth/authorize:
    post:
      tags:
        - OAuth
      summary: User approves authorization, generates auth code
      operationId: postOAuthAuthorize
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                redirect_uri:
                  type: string
                scope:
                  type: string
                state:
                  type: string
                user_id:
                  type: string
              required:
                - client_id
                - redirect_uri
                - user_id
      responses:
        '200':
          description: Auth code issued, redirect URI returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code
        '404':
          description: App not found or disabled
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code

````